s6
Software
skarnet.org

# The s6-softlimit program

s6-softlimit changes its process limits, then executes into another program.

## Interface

         s6-softlimit [ -a allmem ] [ -c core ] [ -d data ] [ -f fsize ] [ -l lock ] [ -m mem ] [ -o ofiles ] [ -p proc ] [ -r res ] [ -s stack ] [ -t cpusecs ] prog...

- s6-softlimit parses its options and sets process (soft) resource limits accordingly.
- A value of '=' for any option means "set that limit to the hard limit".
- Depending on your operating system, an option may do nothing.
- When s6-softlimit has modified all the limits successfully, it executes into prog....

## Options

- `-a allmem` : limit the total available memory to allmem bytes.
- `-c core` : limit the core file size to core bytes.
- `-d data` : limit the available heap memory to data bytes.
- `-f fsize` : limit the file size to fsize bytes.
- `-l lock` : limit the available locked memory to lock bytes.
- `-m mem` : limit all types of memory to mem bytes.
- `-o ofiles` : limit the number of open fds to ofiles.
- `-p proc` : limit the number of processes to proc (per user).
- `-r res` : limit the available physical memory to res bytes.
- `-s stack` : limit the available stack memory to stack bytes.
- `-t cpusecs` : limit the available CPU time to cpusecs seconds.